package com.tencent.mm.plugin.appbrand.dynamic.d;

import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ipcinvoker.extension.f;

public class h$b implements f {
    String cOS;
    boolean hmZ;
    boolean hna;
    String id;

    public final void e(Parcel parcel) {
        int i;
        int i2 = 1;
        AppMethodBeat.i(10842);
        parcel.writeString(this.id);
        if (this.hmZ) {
            i = 1;
        } else {
            i = 0;
        }
        parcel.writeInt(i);
        parcel.writeString(this.cOS);
        if (!this.hna) {
            i2 = 0;
        }
        parcel.writeInt(i2);
        AppMethodBeat.o(10842);
    }

    public final void readFromParcel(Parcel parcel) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(10843);
        this.id = parcel.readString();
        if (parcel.readInt() == 1) {
            z = true;
        } else {
            z = false;
        }
        this.hmZ = z;
        this.cOS = parcel.readString();
        if (parcel.readInt() != 1) {
            z2 = false;
        }
        this.hna = z2;
        AppMethodBeat.o(10843);
    }
}
